// ============================================================================
// soko.h
// ----------------------------------------------------------------------------
// (c) 2006-2023 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// sokoban and mouse support - with learn mode (header)
// ============================================================================

#ifndef SOKO_H
#define SOKO_H



/*-- step --*/
typedef struct step_s {
	short step;
	short push;
        short snap;
} step_t;

/*-- soko --*/
void soko (int ax, int ay, int posx, int posy,
           short le, short ri, short ups, short dwn);


#endif
