// ============================================================================
// snoko.h
// ----------------------------------------------------------------------------
// (c) 2006-2023 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// sokoban and mouse support - with learn mode (header)
// ============================================================================

#ifndef SNOKO_H
#define SNOKO_H


#include "soko.h"   /* define, types */

void snoko (int mode, int ax, int ay, int posx, int posy,
            short le, short ri, short ups, short dwn);

void MouseHandleMove(int mx, int my);

void MouseHandleButton(int mx, int my, int button);


#endif
